Upgrade 5.7.5.13 -> 5.8.0.3

Permalink
I first tried a "go all the way" and upgrade to the latest 5.8.5.4 .. but ended up with a website that wasn't mine, probably the default theme in a new install?
So i decided to do it incrementally, next stable release 5.8.0.3, it tells me success, but i have the same unrecognizable site. Not my theme, none of my content is there. So i'm a bit confused.
Is this some incompatibility of my theme or my addons that isn't reported?
I'm very concerned, because i'm kinda stuck at an insecure EOL php version on the old stable branch.
I went through the add-ons manually, but none of them have incompat. issues (at least according to the changelogs).

View Replies:
ConcreteOwl replied on at Permalink Reply
ConcreteOwl
If you would like this done for you as a 'Job' send me a PM.
brunis replied on at Permalink Reply
Finally managed, but now i'm stuck at 5.8.2.1 -> 5.8.3.2 .. giving me:
An exception occurred while executing 'UPDATE btSearch SET postTo_cID = NULL WHERE postTo_cID IS NOT NULL AND IFNULL(postTo_cID + 0, 0) < 1': SQLSTATE[22007]: Invalid datetime format: 1292 Truncated incorrect DOUBLE value: ''

I'll try and clean up the data manually.